/** @packageDocumentation
 * @module Utilities
 */
/** Import color variables, layout variables and Sass classes barrel file */
import "./colorthemes.scss";
import "./colorvariables.scss";
import "./layout-variables.scss";
import "./classes.scss";
import type { Localization } from "@itwin/core-common";
/** Manages the Localization service for the core-react package.
 * @public
 * @deprecated in 4.16.0. `@itwin/core-react` package is deprecated, see used modules for suggested replacements.
 */
export declare class UiCore {
    private static _initialized;
    private static _localization?;
    /**
     * Registers the Localization service namespace for UiCore.
     * @param localization The internationalization service created by the host application.
     */
    static initialize(localization: Localization): Promise<void>;
    /** Unregisters the UiCore localization namespace */
    static terminate(): void;
    /** Determines if UiCore has been initialized */
    static get initialized(): boolean;
    /** The internationalization service namespace. */
    static get localizationNamespace(): string;
    /** Calls localization.getLocalizedString with the "UiCore" namespace. Do NOT include the namespace in the key.
     * @deprecated in 4.12.0. Do not use this internally, this is replaced by `useTranslation`.
     * @internal
     */
    static translate(key: string | string[]): string;
    /** @internal */
    static get packageName(): string;
    /** @internal */
    static loggerCategory(name: string): string;
}
//# sourceMappingURL=UiCore.d.ts.map