/** @packageDocumentation
 * @module Base
 */
import * as React from "react";
import type { CommonProps } from "../utils/Props.js";
/** Properties for the [[Gap]] component.
 * @public
 * @deprecated in 4.12.0. Props of deprecated component {@link Gap}.
 */
export interface GapProps extends CommonProps {
    size?: string;
}
/** Horizontal gap or space React component. Defaults to 10px.
 * @public
 * @deprecated in 4.12.0. Use {@link https://itwinui.bentley.com/docs/flex iTwinUI Flex `gap`} or {@link https://itwinui.bentley.com/docs/variables#size iTwinUI size variables} instead.
 */
export declare function Gap(props: GapProps): React.JSX.Element;
//# sourceMappingURL=Gap.d.ts.map