/*---------------------------------------------------------------------------------------------
 * Copyright (c) Bentley Systems, Incorporated. All rights reserved.
 * See LICENSE.md in the project root for license terms and full copyright notice.
 *--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Base
 */
import * as React from "react";
/** Horizontal gap or space React component. Defaults to 10px.
 * @public
 * @deprecated in 4.12.0. Use {@link https://itwinui.bentley.com/docs/flex iTwinUI Flex `gap`} or {@link https://itwinui.bentley.com/docs/variables#size iTwinUI size variables} instead.
 */
// eslint-disable-next-line @typescript-eslint/no-deprecated
export function Gap(props) {
    const { size, style, ...rest } = props;
    const paddingLeft = size ?? "10px";
    return React.createElement("span", { style: { ...style, paddingLeft }, ...rest });
}
//# sourceMappingURL=Gap.js.map