/** @packageDocumentation
 * @module Button
 */
import "./UnderlinedButton.scss";
import * as React from "react";
/** Properties for the [[UnderlinedButton]] React component
 * @public
 * @deprecated in 4.12.0. Props of deprecated component {@link UnderlinedButton}.
 */
export interface UnderlinedButtonProps {
    /** String that will be rendered by the button */
    children: string | React.ReactNode;
    /** Additional className */
    className?: string;
    /** Title of the button */
    title?: string;
    /** Callback to onClick event */
    onClick?: (e: React.MouseEvent) => void;
    /** Callback to activate */
    onActivate?: () => void;
}
/** A React component that makes text clickable and underlined
 * @public
 * @deprecated in 4.13.0. Use {@link https://itwinui.bentley.com/docs/anchor iTwinUI anchor} or {@link https://itwinui.bentley.com/docs/button button} instead.
 */
export declare function UnderlinedButton(props: UnderlinedButtonProps): React.JSX.Element;
//# sourceMappingURL=UnderlinedButton.d.ts.map