/** @packageDocumentation
 * @module CheckListBox
 */
import "./CheckListBox.scss";
import * as React from "react";
import type { CommonProps } from "../utils/Props.js";
/** Properties for the [[CheckListBoxItem]] component
 * @public
 * @deprecated in 4.12.0. Props of deprecated component {@link CheckListBoxItem}.
 */
export interface CheckListBoxItemProps extends CommonProps {
    /** Label */
    label: string;
    /** Indicates whether the item is checked or not */
    checked?: boolean;
    /** Indicates whether the item is disabled or not */
    disabled?: boolean;
    /** Function called when item is clicked. */
    onClick?: () => any;
    /** Function called when item is changed. */
    onChange?: (e: React.ChangeEvent<HTMLInputElement>) => any;
}
/** Item with a checkbox added to a [[CheckListBox]].
 * @public
 * @deprecated in 4.12.0. Use {@link https://itwinui.bentley.com/docs/list iTwinUI list} instead.
 */
export declare class CheckListBoxItem extends React.PureComponent<CheckListBoxItemProps> {
    render(): React.JSX.Element;
}
/** Separator added to a [[CheckListBox]].
 * @public
 * @deprecated in 4.12.0. Use {@link https://itwinui.bentley.com/docs/list iTwinUI list} instead.
 */
export declare function CheckListBoxSeparator(): React.JSX.Element;
/** React component showing a list of Checkbox items.
 * @public
 * @deprecated in 4.12.0. Use {@link https://itwinui.bentley.com/docs/list iTwinUI list} instead.
 */
export declare class CheckListBox extends React.PureComponent<CommonProps & {
    /** Content */
    children?: React.ReactNode;
}> {
    render(): React.JSX.Element;
}
//# sourceMappingURL=CheckListBox.d.ts.map