/** @packageDocumentation
 * @module ContextMenu
 */
import * as React from "react";
import type { ContextMenuProps } from "./ContextMenu.js";
/** Properties for the [[GlobalContextMenu]] component
 * @public
 * @deprecated in 4.16.0. Props of deprecated {@link GlobalContextMenu} component.
 */
export interface GlobalContextMenuProps extends ContextMenuProps {
    /** Unique identifier, to distinguish from other GlobalContextMenu components. Needed only if multiple GlobalContextMenus are used simultaneously. */
    identifier?: string;
    /** Specifies the x/horizontal position on the viewport. */
    x: number | string;
    /** Specifies the y/vertical position on the viewport. */
    y: number | string;
    /** Context menu element. Default: ContextMenu */
    contextMenuComponent?: React.ComponentType<ContextMenuProps>;
}
interface GlobalContextMenuState {
    parentDocument: Document | null;
}
/** GlobalContextMenu React component used to display a [[ContextMenu]] at the cursor
 * @public
 * @deprecated in 4.16.0. Use {@link https://itwinui.bentley.com/docs/dropdownmenu iTwinUI DropdownMenu} component instead.
 */
export declare class GlobalContextMenu extends React.PureComponent<GlobalContextMenuProps, GlobalContextMenuState> {
    private _container?;
    readonly state: GlobalContextMenuState;
    constructor(props: GlobalContextMenuProps);
    componentWillUnmount(): void;
    private _handleRefSet;
    render(): React.ReactNode;
}
export {};
//# sourceMappingURL=GlobalContextMenu.d.ts.map