/** @packageDocumentation
 * @module Dialog
 */
import * as React from "react";
import type { DialogProps } from "./Dialog.js";
/** Properties for the [[GlobalDialog]] component
 * @public
 * @deprecated in 4.12.0. Props of deprecated component {@link GlobalDialog}.
 */
export interface GlobalDialogProps extends DialogProps {
    identifier?: string;
}
/** State properties for the [[GlobalDialog]] component
 * @public
 * @deprecated in 4.12.0. State of deprecated component {@link GlobalDialog}.
 */
export interface GlobalDialogState {
    parentDocument: Document | null;
}
/** GlobalDialog React component used to display a [[Dialog]] on the top of screen
 * @public
 * @deprecated in 4.12.0. Use {@link https://itwinui.bentley.com/docs/dialog iTwinUI dialog} instead.
 */
export declare class GlobalDialog extends React.Component<GlobalDialogProps, GlobalDialogState> {
    private _container?;
    readonly state: GlobalDialogState;
    constructor(props: GlobalDialogProps);
    private _handleRefSet;
    componentWillUnmount(): void;
    render(): React.ReactNode;
}
//# sourceMappingURL=GlobalDialog.d.ts.map