/** @packageDocumentation
 * @module Expandable
 */
import * as React from "react";
import type { CommonProps } from "../utils/Props.js";
/** Properties for [[ExpandableList]] component
 * @public
 * @deprecated in 4.12.0. Props of deprecated component {@link ExpandableList}.
 */
export interface ExpandableListProps extends CommonProps {
    /** Index of the default active block */
    defaultActiveBlock?: number;
    /** Indicates whether to allow only one expanded block */
    singleExpandOnly?: boolean;
    /** Indicates whether the single expanded block is collapsible */
    singleIsCollapsible?: boolean;
    /** Content */
    children?: React.ReactNode;
}
interface ExpandableListState {
    activeBlock: number;
}
/** ExpandableList React component is a container for ExpandableBlock components.
 * @public
 * @deprecated in 4.12.0. Use a custom container and manage {@link https://itwinui.bentley.com/docs/expandableblock expandable block} state manually.
 */
export declare class ExpandableList extends React.PureComponent<ExpandableListProps, ExpandableListState> {
    constructor(props: ExpandableListProps);
    static defaultProps: Partial<ExpandableListProps>;
    private _handleBlockToggle;
    private renderBlocks;
    /** @internal */
    componentDidUpdate(prevProps: ExpandableListProps): void;
    render(): React.ReactElement;
}
export {};
//# sourceMappingURL=ExpandableList.d.ts.map