/** @packageDocumentation
 * @module Icon
 */
import "./SvgPath.scss";
import * as React from "react";
import type { CommonProps } from "../utils/Props.js";
/** Properties of [[SvgPath]] component.
 * @public
 * @deprecated in 4.15.0. Props of deprecated {@link SvgPath} component.
 */
export interface SvgPathProps extends CommonProps {
    /** Svg graphics paths */
    paths: string[];
    /** Svg viewBox width */
    viewBoxWidth: number;
    /** Svg viewBox height */
    viewBoxHeight: number;
}
/** Svg element wrapper with specified Svg paths.
 * @public
 * @deprecated in 4.15.0. Not used by AppUI. Use `@itwin/itwinui-icons-react` package or svg element directly.
 */
export declare class SvgPath extends React.PureComponent<SvgPathProps> {
    render(): React.JSX.Element;
}
//# sourceMappingURL=SvgPath.d.ts.map