/** @packageDocumentation
 * @module Icon
 */
import "./WebFontIcon.scss";
import * as React from "react";
import type { CommonProps } from "../utils/Props.js";
/** Properties for the [[WebFontIcon]] React component
 * @public
 * @deprecated in 4.15.0. Props of deprecated {@link WebFontIcon} component.
 */
export interface WebFontIconProps extends CommonProps {
    /** Bentley Web Font icon name */
    iconName: string;
    /** Click event handler */
    onClick?: React.MouseEventHandler<HTMLSpanElement>;
    /** Text that will be shown when hovered on the icon. */
    title?: string;
    /** Size of the icon */
    iconSize?: "x-small" | "small" | "medium" | "large" | "x-large";
    /** Class name of icon used for custom font-family icons */
    iconClassName?: string;
}
/** WebFontIcon React component
 * @public
 * @deprecated in 4.15.0. Not used by AppUI. Use `@itwin/itwinui-icons-react` package.
 */
export declare function WebFontIcon(props: WebFontIconProps): React.JSX.Element;
//# sourceMappingURL=WebFontIcon.d.ts.map