/*---------------------------------------------------------------------------------------------
 * Copyright (c) Bentley Systems, Incorporated. All rights reserved.
 * See LICENSE.md in the project root for license terms and full copyright notice.
 *--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Icon
 */
import "./WebFontIcon.scss";
import classnames from "classnames";
import * as React from "react";
/** WebFontIcon React component
 * @public
 * @deprecated in 4.15.0. Not used by AppUI. Use `@itwin/itwinui-icons-react` package.
 */
// eslint-disable-next-line @typescript-eslint/no-deprecated
export function WebFontIcon(props) {
    const className = classnames(props.iconClassName || "bui-webfont-icon", props.iconName, props.iconSize ? `uicore-icons-${props.iconSize}` : undefined, props.className);
    return (React.createElement("span", { className: className, title: props.title, style: props.style, onClick: props.onClick, role: "presentation" }));
}
//# sourceMappingURL=WebFontIcon.js.map