/** @packageDocumentation
 * @module Checkbox
 */
import "./ImageCheckBox.scss";
import * as React from "react";
import type { CommonProps } from "../utils/Props.js";
/** Properties for the [[ImageCheckBox]] component
 * @public
 * @deprecated in 4.12.0. Props of deprecated component {@link ImageCheckBox}.
 */
export interface ImageCheckBoxProps extends CommonProps {
    /** Image for the "checked" state */
    imageOn: string | React.ReactNode;
    /** Image for the "unchecked" (default) state */
    imageOff: string | React.ReactNode;
    /** Determine if the item is checked or not */
    checked?: boolean;
    /** Determine if the item is disabled or not */
    disabled?: boolean;
    /** Function called when item is clicked. */
    onClick?: (checked: boolean) => any;
    /** Custom CSS class name for the checkbox input element */
    inputClassName?: string;
    /** Custom CSS Style for the checkbox input element */
    inputStyle?: React.CSSProperties;
    /** Tooltip to be displayed when mouse is hovered over the checkbox */
    tooltip?: string;
    /** If true, draw a border around the image checkbox */
    border?: boolean;
    /** Provides ability to return reference to HTMLInputElement */
    inputRef?: React.Ref<HTMLInputElement>;
}
/** ImageCheckBox React component shows a checked or unchecked image
 * @public
 * @deprecated in 4.12.0. Use {@link https://itwinui.bentley.com/docs/checkbox iTwinUI checkbox} instead (custom icons are not supported at the moment, but feel free to submit your use cases).
 */
export declare class ImageCheckBox extends React.PureComponent<ImageCheckBoxProps> {
    private _onChange;
    private _onInputClick;
    private _onLabelClick;
    render(): React.JSX.Element;
}
//# sourceMappingURL=ImageCheckBox.d.ts.map