/** @packageDocumentation
 * @module Inputs
 */
import * as React from "react";
import type { CommonProps } from "../utils/Props.js";
/** Properties for the [[Input]] component
 * @internal
 */
export interface InputProps extends React.InputHTMLAttributes<HTMLInputElement>, CommonProps {
    /** Indicates whether to set focus to the input element */
    setFocus?: boolean;
    /** Native keydown event handler */
    nativeKeyHandler?: (e: KeyboardEvent) => void;
    /** Provides ability to return reference to HTMLInputElement */
    ref?: React.Ref<HTMLInputElement>;
}
/** Basic text input, is a wrapper for the `<input type="text">` HTML element.
 * @internal
 */
export declare const Input: (props: InputProps) => React.ReactNode;
//# sourceMappingURL=Input.d.ts.map