/** @packageDocumentation
 * @module Inputs
 */
import * as React from "react";
import type { CommonProps } from "../utils/Props.js";
import type { LabeledComponentProps, MessagedComponentProps } from "./LabeledComponentProps.js";
/** Properties for [[InputLabel]] components
 * @public
 * @deprecated in 4.12.0. Props of deprecated component {@link InputLabel}.
 */
export interface InputLabelProps extends LabeledComponentProps, MessagedComponentProps, CommonProps {
    disabled?: boolean;
    /** Labeled content */
    children?: React.ReactNode;
}
/** Text input wrapper that provides additional styling and labeling
 * @public
 * @deprecated in 4.12.0. Use {@link https://itwinui.bentley.com/docs/input iTwinUI input} instead.
 */
export declare class InputLabel extends React.PureComponent<InputLabelProps> {
    render(): React.ReactElement;
}
//# sourceMappingURL=InputLabel.d.ts.map