/** @packageDocumentation
 * @module Inputs
 */
import "./IconInput.scss";
import * as React from "react";
import type { InputProps } from "../Input.js";
/** Properties for the [[IconInput]] component
 * @public
 * @deprecated in 4.12.0. Props of deprecated component {@link IconInput}.
 */
export interface IconInputProps extends Omit<InputProps, "size"> {
    /** Icon displayed to the left of the Input field within the IconInput component */
    icon: React.ReactNode;
    /** CSS class name for the IconInput component container div */
    containerClassName?: string;
    /** Provides ability to return reference to HTMLInputElement */
    ref?: React.Ref<HTMLInputElement>;
    /** Modify size of the input. */
    size?: "small" | "large";
}
/** Input component with icon to the left of the input field
 * @public
 * @deprecated in 4.12.0. Use {@link https://itwinui.bentley.com/docs/inputwithdecorations iTwinUI input decorations} instead.
 */
export declare const IconInput: (props: IconInputProps) => React.ReactNode;
//# sourceMappingURL=IconInput.d.ts.map