/** @packageDocumentation
 * @module Utilities
 */
import * as React from "react";
import type { Localization as CoreLocalization } from "@itwin/core-common";
type Localization = Pick<CoreLocalization, "getLocalizedString" | "registerNamespace">;
interface LocalizationProviderProps {
    children?: React.ReactNode;
    localization: Localization;
}
/** Provides localization capability to the components.
 * @alpha
 * @deprecated in 4.16.0. Use {@link @itwin/components-react#LocalizationProvider} instead.
 */
export declare function LocalizationProvider(props: LocalizationProviderProps): React.JSX.Element;
/** Returns localization context.
 * @internal
 */
export declare function useLocalization(): Localization | undefined;
export {};
//# sourceMappingURL=LocalizationProvider.d.ts.map