/** Used by AppUI packages internally to define package specific `useTranslation` hook.
 * Uses a localization provider to translate the provided key with a specified namespace. Multiple fallback layers are used to resolve the translation:
 * - Return value of a specified `fallback` function.
 * - Default value looked up from a specified `defaults` object.
 * - Lastly `key` argument of the translation function is returned.
 * @internal
 */
export declare function usePackageTranslation({ namespace, fallback, defaults, }: {
    namespace: string;
    fallback: (key: string) => string | undefined;
    defaults: object;
}): {
    translate: (key: string) => string;
};
//# sourceMappingURL=usePackageTranslation.d.ts.map