/** @packageDocumentation
 * @module Listbox
 */
import * as React from "react";
import "./Listbox.scss";
/** Ideas borrowed from  https://reacttraining.com/reach-ui/listbox */
/** `Listbox` value.
 * @public
 * @deprecated in 4.12.0. Value used in a deprecated component {@link Listbox}.
 */
export type ListboxValue = string;
/** `Listbox` Props.
 * @public
 * @deprecated in 4.12.0. Props of deprecated component {@link Listbox}.
 */
export interface ListboxProps extends React.DetailedHTMLProps<React.HTMLAttributes<HTMLUListElement>, HTMLUListElement> {
    id?: string;
    selectedValue?: ListboxValue;
    ariaLabel?: any;
    ariaLabelledBy?: any;
    onListboxValueChange?: (newValue: ListboxValue, isControlOrCommandPressed?: boolean) => void;
}
/** `ListboxItem` Props.
 * @public
 * @deprecated in 4.12.0. Props of deprecated component {@link ListboxItem}.
 */
export interface ListboxItemProps extends React.DetailedHTMLProps<React.LiHTMLAttributes<HTMLLIElement>, HTMLLIElement> {
    /** The unique item's value. */
    value: ListboxValue;
    /** set if item is disabled. */
    disabled?: boolean;
}
/** `Listbox` Context.
 * @public
 * @deprecated in 4.12.0. Props of deprecated context {@link ListboxContext}.
 */
export interface ListboxContextProps {
    listboxId?: string;
    listboxValue?: ListboxValue;
    focusValue?: ListboxValue;
    onListboxValueChange: (newValue: ListboxValue, isControlOrCommandPressed?: boolean) => void;
    listboxRef?: React.RefObject<HTMLUListElement>;
}
/** Context set up by listbox for use by `ListboxItems` .
 * @public
 * @deprecated in 4.12.0. Context of deprecated component {@link Listbox}.
 */
export declare const ListboxContext: React.Context<ListboxContextProps>;
/** Single select `Listbox` component
 * @public
 * @deprecated in 4.12.0. Use {@link https://itwinui.bentley.com/docs/list iTwinUI list} instead.
 */
export declare function Listbox(props: ListboxProps): React.JSX.Element;
/** `ListboxItem` component.
 * @public
 * @deprecated in 4.12.0. Use {@link https://itwinui.bentley.com/docs/list iTwinUI list} instead.
 */
export declare function ListboxItem(props: ListboxItemProps): React.JSX.Element;
//# sourceMappingURL=Listbox.d.ts.map