/** @packageDocumentation
 * @module Loading
 */
import "./LoadingBar.scss";
import * as React from "react";
import type { CommonProps } from "../utils/Props.js";
/** Properties for [[LoadingBar]] component
 * @public
 * @deprecated in 4.12.0. Props of deprecated component {@link LoadingBar}.
 */
export interface LoadingBarProps extends CommonProps {
    /** Percent */
    percent: number;
    /** Show percentage (optional) */
    showPercentage?: boolean;
    /** Height (in pixels) of the loading bar */
    barHeight: number;
}
/** A loading bar with optional percentage text.
 * @public
 * @deprecated in 4.12.0. Use {@link https://itwinui.bentley.com/docs/progressindicator#progress-linear iTwinUI progress indicator} instead.
 */
export declare class LoadingBar extends React.PureComponent<LoadingBarProps> {
    static defaultProps: Partial<LoadingBarProps>;
    render(): React.JSX.Element;
}
/** Sanity check to keep percentage between 0 & 100
 * @internal
 */
export declare function percentInRange(percent: number): number;
//# sourceMappingURL=LoadingBar.d.ts.map