/*---------------------------------------------------------------------------------------------
 * Copyright (c) Bentley Systems, Incorporated. All rights reserved.
 * See LICENSE.md in the project root for license terms and full copyright notice.
 *--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Loading
 */
import "./LoadingSpinner.scss";
import * as React from "react";
import { ProgressRadial } from "@itwin/itwinui-react";
/** A loading spinner component that optionally shows a text message.
 * @public
 * @deprecated in 4.12.0. Use {@link https://itwinui.bentley.com/docs/progressindicator#progress-radial iTwinUI progress indicator} instead.
 */
export class LoadingSpinner extends React.PureComponent {
    render() {
        const { message, messageOnTop, size, ...rest } = this.props;
        return (React.createElement("div", { className: "core-ls" },
            message && messageOnTop && (React.createElement("span", { className: "ls-message-top" }, message)),
            React.createElement(ProgressRadial, { size: size, ...rest, indeterminate: true }),
            message && !messageOnTop && (React.createElement("span", { className: "ls-message-bottom" }, message))));
    }
}
LoadingSpinner.defaultProps = {
    messageOnTop: false,
};
//# sourceMappingURL=LoadingSpinner.js.map