/** @packageDocumentation
 * @module Loading
 */
import "./LoadingStatus.scss";
import * as React from "react";
import type { CommonProps } from "../utils/Props.js";
/** Properties for [[LoadingStatus]] component
 * @public
 * @deprecated in 4.12.0. Props of deprecated component {@link LoadingStatus}.
 */
export interface LoadingStatusProps extends CommonProps {
    /** Message (text) displayed */
    message: string;
    /** Percent displayed (as text) */
    percent: number;
}
/** A loading indicator that shows status text along with the percentage.
 * @public
 * @deprecated in 4.12.0. Use labeled {@link https://itwinui.bentley.com/docs/progressindicator iTwinUI progress indicator} instead.
 */
export declare class LoadingStatus extends React.PureComponent<LoadingStatusProps> {
    static defaultProps: Partial<LoadingStatusProps>;
    private inRange;
    render(): React.JSX.Element;
}
//# sourceMappingURL=LoadingStatus.d.ts.map