/** @packageDocumentation
 * @module Notification
 */
import * as React from "react";
import type { MessageType } from "./MessageType.js";
import type { ClassNameProps } from "../utils/Props.js";
/** Properties for the [[MessageRenderer]] component
 * @public
 * @deprecated in 4.15.0. Props of deprecated {@link MessageRenderer} component.
 */
export interface MessageRendererProps extends ClassNameProps {
    /** Message to render */
    message: MessageType;
    /** Indicates whether to use a `span` or `div` element for rendering */
    useSpan?: boolean;
}
/** React component renders a string, HTMLElement or React node in a `div` or `span`
 * @public
 * @deprecated in 4.15.0. Used internally.
 */
export declare function MessageRenderer(props: MessageRendererProps): React.JSX.Element | null;
//# sourceMappingURL=MessageRenderer.d.ts.map