/** @packageDocumentation
 * @module Notification
 */
import type * as React from "react";
/** Describes a React based message
 * @public
 * @deprecated in 4.15.0. Used internally.
 */
export interface ReactMessage {
    reactNode: React.ReactNode;
}
/** Types for message
 * @public
 * @deprecated in 4.15.0. Used internally.
 */
export type MessageType = string | HTMLElement | ReactMessage;
/** HTMLElement type guard.
 * @internal
 */
export declare const isHTMLElement: (message: MessageType) => message is HTMLElement;
/** ReactMessage type guard.
 * @internal
 */
export declare const isReactMessage: (message: MessageType) => message is ReactMessage;
//# sourceMappingURL=MessageType.d.ts.map