/** @packageDocumentation
 * @module Settings
 */
import "./SettingsContainer.scss";
import * as React from "react";
import type { SettingsManager, SettingsTabEntry } from "./SettingsManager.js";
/** Hook to use within Settings Page component to allow saving the current page's data before the Setting Container is closed.
 * @public
 * @deprecated in 4.16.0. Use {@link SettingsManager} instead.
 */
export declare function useSaveBeforeClosingSettingsContainer(settingsManager: SettingsManager, saveFunction: (closeFunc: (args: any) => void, closeFuncArgs?: any) => void): void;
/** Hook to use within Settings Page component to allow saving the current page's data before loading to the requested Setting Tab's page.
 * @public
 * @deprecated in 4.16.0. Use {@link SettingsManager} instead.
 */
export declare function useSaveBeforeActivatingNewSettingsTab(settingsManager: SettingsManager, saveFunction: (tabSelectionFunc: (args: any) => void, requestedSettingsTabId?: string) => void): void;
/**
 * Properties of {@link SettingsContainer} component.
 * @public
 * @deprecated in 4.16.0. Props of deprecated component {@link SettingsContainer}.
 */
export interface SettingsContainerProps {
    tabs: SettingsTabEntry[];
    currentSettingsTab?: SettingsTabEntry;
    onSettingsTabSelected?: (tab: SettingsTabEntry) => void;
    settingsManager: SettingsManager;
    showHeader?: boolean;
}
/** Component that displays setting tabs on the left and the setting page on the right.
 * Note: that SettingsContainer is not rendered if tabs array is empty.
 * @public
 * @deprecated in 4.16.0. Used internally by {@link @itwin/appui-react#SettingsModalFrontstage}.
 */
export declare const SettingsContainer: ({ tabs, onSettingsTabSelected, currentSettingsTab, settingsManager, showHeader, }: SettingsContainerProps) => React.JSX.Element;
//# sourceMappingURL=SettingsContainer.d.ts.map