/** @packageDocumentation
 * @module Text
 */
import * as React from "react";
import type { CommonProps } from "../utils/Props.js";
import type { IMatch } from "../utils/matches.js";
import "./FilteredText.scss";
/** Props supported by [FilteredText] component
 * @alpha
 * @deprecated in 4.15.0. Props of deprecated {@link FilteredText} component.
 */
export interface FilteredTextProps extends CommonProps {
    /** string that matched a filter string */
    value: string;
    /** define array of start and end positions of filter matches. */
    matches?: IMatch[];
    /** holds class name for matching span text. */
    matchClassName?: string;
    /** holds style for matching span text. */
    matchStyle?: React.CSSProperties;
}
/** Component used to highlight filter matches within a text string.
 * @alpha
 * @deprecated in 4.15.0. Used internally.
 */
export declare function FilteredText(props: FilteredTextProps): React.JSX.Element;
//# sourceMappingURL=FilteredText.d.ts.map