/*---------------------------------------------------------------------------------------------
 * Copyright (c) Bentley Systems, Incorporated. All rights reserved.
 * See LICENSE.md in the project root for license terms and full copyright notice.
 *--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Text
 */
import classnames from "classnames";
import * as React from "react";
/** The base component for other text components that pass a main CSS class name.
 * @public
 * @deprecated in 4.0.0. Use \<Text /\> component from iTwinUI-react library.
 */
export function StyledText(props) {
    const { mainClassName, className, style, children, ...spanProps } = props;
    return (React.createElement("span", { ...spanProps, className: classnames(mainClassName, className), style: style }, children));
}
//# sourceMappingURL=StyledText.js.map