/** @packageDocumentation
 * @module Tree
 */
import "./ExpansionToggle.scss";
import * as React from "react";
import type { CommonProps } from "../utils/Props.js";
/** Properties for the [[ExpansionToggle]] component
 * @public
 * @deprecated in 4.15.0. Props of deprecated {@link ExpansionToggle} component.
 */
export interface ExpansionToggleProps extends CommonProps {
    isExpanded?: boolean;
    onClick?: (e: React.MouseEvent<HTMLDivElement>) => void;
    ["data-testid"]?: string;
}
/** ExpansionToggle React component used by the [[TreeNode]] component to show collapsed or expanded state
 * @public
 * @deprecated in 4.15.0. Use {@link https://itwinui.bentley.com/docs/tree iTwinUI Tree} instead.
 */
export declare function ExpansionToggle(props: ExpansionToggleProps): React.JSX.Element;
//# sourceMappingURL=ExpansionToggle.d.ts.map