/** @packageDocumentation
 * @module Tree
 */
import "./Placeholder.scss";
import * as React from "react";
import type { CommonProps } from "../utils/Props.js";
/** Properties for the [[TreeNodePlaceholder]] React component
 * @public
 * @deprecated in 4.15.0. Props of deprecated {@link TreeNodePlaceholder} component.
 */
export interface TreeNodePlaceholderProps extends CommonProps {
    level: number;
    minWidth?: number;
    maxWidth?: number;
    ["data-testid"]?: string;
}
/**
 * Presentation React component for a placeholder to be displayed instead of a node while it's being loaded
 * @public
 * @deprecated in 4.15.0. Use {@link https://itwinui.bentley.com/docs/tree iTwinUI Tree} instead.
 */
export declare class TreeNodePlaceholder extends React.PureComponent<TreeNodePlaceholderProps> {
    render(): React.JSX.Element;
}
//# sourceMappingURL=Placeholder.d.ts.map