/** @packageDocumentation
 * @module Tree
 */
import "./Tree.scss";
import * as React from "react";
import type { CommonProps } from "../utils/Props.js";
/** Properties for the [[Tree]] presentational React component
 * @public
 * @deprecated in 4.15.0. Props of deprecated {@link Tree} component.
 */
export interface TreeProps extends CommonProps {
    children?: React.ReactNode;
    onMouseDown?: React.MouseEventHandler<HTMLDivElement>;
    onMouseMove?: React.MouseEventHandler<HTMLDivElement>;
    onMouseUp?: React.MouseEventHandler<HTMLDivElement>;
    onKeyDown?: React.KeyboardEventHandler<HTMLDivElement>;
    onKeyUp?: React.KeyboardEventHandler<HTMLDivElement>;
}
/** Presentation React component for a Tree
 * @public
 * @deprecated in 4.15.0. Use {@link https://itwinui.bentley.com/docs/tree iTwinUI Tree} instead.
 */
export declare class Tree extends React.PureComponent<TreeProps> {
    private _treeElement;
    private get _scrollableContainer();
    scrollToElement(element: Element): void;
    getElementsByClassName(className: string): Element[];
    setFocusByClassName(selector: string): boolean;
    render(): React.JSX.Element;
}
//# sourceMappingURL=Tree.d.ts.map