/** @packageDocumentation
 * @module UiStateStorage
 */
import type { UiStateStorage, UiStateStorageResult } from "./UiStateStorage.js";
/** Implementation of [[UiStateStorage]] using Window.localStorage.
 * @public
 * @deprecated in 4.16.0. Use {@link @itwin/appui-react#LocalStateStorage} instead.
 */
export declare class LocalStateStorage implements UiStateStorage {
    w: Window;
    constructor(w?: Window);
    getSetting(settingNamespace: string, settingName: string): Promise<UiStateStorageResult>;
    saveSetting(settingNamespace: string, settingName: string, setting: any): Promise<UiStateStorageResult>;
    hasSetting(settingNamespace: string, settingName: string): Promise<boolean>;
    deleteSetting(settingNamespace: string, settingName: string): Promise<UiStateStorageResult>;
}
//# sourceMappingURL=LocalStateStorage.d.ts.map