/** @packageDocumentation
 * @module UiStateStorage
 */
/** Interface for getting, saving and deleting settings.
 * @public
 * @deprecated in 4.16.0. Use {@link @itwin/appui-react#UiStateStorage} instead.
 */
export interface UiStateStorage {
    getSetting(settingNamespace: string, settingName: string): Promise<UiStateStorageResult>;
    saveSetting(settingNamespace: string, settingName: string, setting: any): Promise<UiStateStorageResult>;
    deleteSetting(settingNamespace: string, settingName: string): Promise<UiStateStorageResult>;
}
/** Enum for [[UiStateStorage]] status.
 * @public
 * @deprecated in 4.16.0. Use {@link @itwin/appui-react#UiStateStorageStatus} instead.
 */
export declare enum UiStateStorageStatus {
    Success = 0,
    NotFound = 1,
    UnknownError = 2,
    Uninitialized = 3,
    AuthorizationError = 4
}
/** Interface for result of accessing UI state setting in [[UiStateStorage]].
 * @public
 * @deprecated in 4.16.0. Use {@link @itwin/appui-react#UiStateStorageResult} instead.
 */
export interface UiStateStorageResult {
    status: UiStateStorageStatus;
    setting?: any;
}
//# sourceMappingURL=UiStateStorage.d.ts.map