/** @packageDocumentation
 * @module Utilities
 */
import type { Listener } from "@itwin/core-bentley";
/**
 * Retrieves the type of the callback function for an event type like `BeEvent`.
 * @note `ListenerType` is available in `@itwin/core-bentley@^4.8.0`
 * @internal
 */
export type ListenerType<TEvent extends {
    addListener(listener: Listener): () => void;
}> = TEvent extends {
    addListener(listener: infer TListener): () => void;
} ? TListener : never;
//# sourceMappingURL=ListenerType.d.ts.map