/** @packageDocumentation
 * @module Utilities
 */
import * as React from "react";
/** Properties for [[WidgetOpacityContext]]
 * @internal
 */
export interface WidgetOpacityContextProps {
    readonly proximityScale: number;
    readonly addRef: (ref: React.RefObject<Element>) => void;
    readonly removeRef: (ref: React.RefObject<Element>) => void;
}
/**
 * Context used by Widgets and child components to process opacity changes based on mouse proximity.
 * @internal
 */
export declare const WidgetOpacityContext: React.Context<WidgetOpacityContextProps>;
/** Hook for using [[WidgetOpacityContext]]
 * @internal
 */
export declare function useWidgetOpacityContext<T extends Element>(): {
    ref: React.RefObject<T>;
    proximityScale: number;
};
//# sourceMappingURL=useWidgetOpacityContext.d.ts.map